Page MenuHomePhabricator

Upgrade Jenkins git related plugins
Closed, ResolvedPublic

Description

Our Jenkins git plugins are aged and need to be updated. Last time I tried that screwed up a lot of jobs :-/

The status is:

PluginInstalledLatest
Git Client1.4.6+wmf11.17.1
Git1.5.02.3.5

git client

The git client plugin had to be patched (T73533) because it could not reset submodules when using git 1.9 on Trusty ( https://github.com/wikimedia/git-client-plugin/commit/536940e0e98723b6542de0da791eceffbce6f16c ).

Apparently this is fixed upstream with: https://github.com/jenkinsci/git-client-plugin/commit/f75720d5de9d79ab4be2633a21de23b3ccbf8ce3 which was shipped with version 1.6.4

-        args.add("git reset");
-        if (hard) {
-            args.add("--hard");
-        }
+        args.add("git reset" + (hard ? " --hard" : ""));

Thus the whole command is passed as a single string.

git plugin

There was a lot of changes in version 2.x of the plugin and I am not sure how well JJB supports it.

Event Timeline

hashar created this task.May 28 2015, 1:23 PM
hashar updated the task description. (Show Details)
hashar raised the priority of this task from to Low.
hashar added subscribers: greg, Krinkle, Aklapper, hashar.
hashar updated the task description. (Show Details)May 28 2015, 1:36 PM
hashar set Security to None.
hashar added a comment.EditedMay 28 2015, 2:02 PM

I have upgraded the git client from 1.4.6-wmf1 to 1.17.1 . mediawiki/core, puppet, pywikibot and VE jobs pass :-}

+ @zeljkofilipin we will do that during our 1/1 pairing on Monday

hashar claimed this task.May 29 2015, 11:32 AM
hashar closed this task as Resolved.Jun 1 2015, 8:41 AM

We have upgraded the git plugin from 1.5.0 to 2.3.5. Seems jobs are all happy about it :-]

hashar added a comment.Jun 2 2015, 3:09 PM

Causes T101105 due to JJB